Load Balancer
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of LOADBALANCER service and how to call API.
The API is provided as a RESTful API, and it responds in JSON format.
Version
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Status | Not Before |
|---|
| 1.3 | CURRENT | - |
| 1.2 | DEPRECATED | 20260319 |
| 1.1 | DEPRECATED | 20260319 |
| 1.0 | DEPRECATED | 20251023 |
OpenAPI URL
https://loadbalancer.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - AddLbServerGroupMembers
1.1.1 - 1.3
post /v1/lb-server-groups/{lb_server_group_id}/members
Description
Add Lb Server Group Member bulk
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | ID of Lb Server Group Example :
| string | None |
| body | body required |
| MemberListCreateRequestV1Dot1 | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | MemberListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Request body
{
"members": [
{
"member_ip": "192.168.0.1",
"member_port": 80,
"member_state": "ENABLE",
"member_weight": 100,
"name": "virtualserver-1",
"object_id": "1",
"object_type": "VM"
}
]
}
Example HTTP response
Response 202
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING",
"subnet_id": "",
"uuid": ""
}
]
}
1.1.2 - 1.2
post /v1/lb-server-groups/{lb_server_group_id}/members
Description
Add Lb Server Group Member bulk
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | ID of Lb Server Group Example :
| string | None |
| body | body required |
| MemberListCreateRequestV1Dot1 | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | MemberListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"members": [
{
"member_ip": "192.168.0.1",
"member_port": 80,
"member_state": "ENABLE",
"member_weight": 100,
"name": "virtualserver-1",
"object_id": "1",
"object_type": "VM"
}
]
}
Example HTTP response
Response 202
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING",
"subnet_id": "",
"uuid": ""
}
]
}
1.1.3 - 1.1
post /v1/lb-server-groups/{lb_server_group_id}/members
Description
Add Lb Server Group Member bulk
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | ID of Lb Server Group Example :
| string | None |
| body | body required |
| MemberListCreateRequestV1Dot1 | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | MemberListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"members": [
{
"member_ip": "192.168.0.1",
"member_port": 80,
"member_state": "ENABLE",
"member_weight": 100,
"name": "virtualserver-1",
"object_id": "1",
"object_type": "VM"
}
]
}
Example HTTP response
Response 202
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING",
"subnet_id": "",
"uuid": ""
}
]
}
1.2 - CreateLBHealthCheck
1.2.1 - 1.3
post /v1/lb-health-checks
Description
Create LB Health Check
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/lb-health-checks
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Request body
{
"lb_health_check": {
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_url": "/test",
"http_method": "GET",
"name": "ServerGroup01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"tags": [],
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
Example HTTP response
Response 201
{
"lb_health_check": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_type": "DEFAULT",
"health_check_url": "/test",
"http_method": "GET",
"id": "46c681018e33453085ca7c8db54e0076",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
1.2.2 - 1.2
post /v1/lb-health-checks
Description
Create LB Health Check
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
Responses
Example HTTP request
Request path
/v1/lb-health-checks
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"lb_health_check": {
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_url": "/test",
"http_method": "GET",
"name": "ServerGroup01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"tags": [],
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
Example HTTP response
Response 201
{
"lb_health_check": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_type": "DEFAULT",
"health_check_url": "/test",
"http_method": "GET",
"id": "46c681018e33453085ca7c8db54e0076",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
1.2.3 - 1.1
post /v1/lb-health-checks
Description
Create LB Health Check
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
Responses
Example HTTP request
Request path
/v1/lb-health-checks
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"lb_health_check": {
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_url": "/test",
"http_method": "GET",
"name": "ServerGroup01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"tags": [],
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
Example HTTP response
Response 201
{
"lb_health_check": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_type": "DEFAULT",
"health_check_url": "/test",
"http_method": "GET",
"id": "46c681018e33453085ca7c8db54e0076",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
1.3 - CreateLbListener
1.3.1 - 1.3
post /v1/lb-listeners
Description
create LB listener
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/lb-listeners
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Request body
{
"listener": {
"condition_type": "URL_PATH",
"description": "",
"hsts_max_age": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"idle_timeout": "",
"insert_client_ip": "",
"loadbalancer_id": "",
"name": "",
"persistence": "",
"protocol": "TCP",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"not_after_dt": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"support_http2": false,
"tags": [],
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
Example HTTP response
Response 201
{
"listener": {
"condition_type": "URL_PATH",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"hsts_max_age": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"idle_timeout": "",
"insert_client_ip": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"persistence": "",
"protocol": "TCP",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"server_group_name": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"not_after_dt": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"state": "",
"support_http2": false,
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
1.3.2 - 1.2
post /v1/lb-listeners
Description
create LB listener
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
Responses
Example HTTP request
Request path
/v1/lb-listeners
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"listener": {
"condition_type": "URL_PATH",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"insert_client_ip": "",
"loadbalancer_id": "",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"not_after_dt": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"support_http2": false,
"tags": [],
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
Example HTTP response
Response 201
{
"listener": {
"condition_type": "URL_PATH",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"insert_client_ip": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"server_group_name": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"not_after_dt": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"state": "",
"support_http2": false,
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
1.3.3 - 1.1
post /v1/lb-listeners
Description
create LB listener
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
Responses
Example HTTP request
Request path
/v1/lb-listeners
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"listener": {
"condition_type": "URL_PATH",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"insert_client_ip": "",
"loadbalancer_id": "",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"not_after_dt": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"support_http2": false,
"tags": [],
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
Example HTTP response
Response 201
{
"listener": {
"condition_type": "URL_PATH",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"insert_client_ip": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"server_group_name": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"not_after_dt": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"state": "",
"support_http2": false,
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
1.4 - CreateLBServerGroup
1.4.1 - 1.3
post /v1/lb-server-groups
Description
Create LB Server Group
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/lb-server-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Request body
{
"lb_server_group": {
"description": "this is an lb server group",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"name": "ServerGroup01",
"protocol": "TCP",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"tags": [],
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
Example HTTP response
Response 202
{
"lb_server_group": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"lb_name": "Test-LB-01",
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
1.4.2 - 1.2
post /v1/lb-server-groups
Description
Create LB Server Group
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
Responses
Example HTTP request
Request path
/v1/lb-server-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"lb_server_group": {
"description": "this is an lb server group",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"name": "ServerGroup01",
"protocol": "TCP",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"tags": [],
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
Example HTTP response
Response 202
{
"lb_server_group": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"lb_name": "Test-LB-01",
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
1.4.3 - 1.1
post /v1/lb-server-groups
Description
Create LB Server Group
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
Responses
Example HTTP request
Request path
/v1/lb-server-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"lb_server_group": {
"description": "this is an lb server group",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"name": "ServerGroup01",
"protocol": "TCP",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"tags": [],
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
Example HTTP response
Response 202
{
"lb_server_group": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"lb_name": "Test-LB-01",
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
1.5 - CreateLoadbalancer
1.5.1 - 1.3
post /v1/loadbalancers
Description
create Load Balancer
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/loadbalancers
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Request body
{
"loadbalancer": {
"description": "",
"firewall_enabled": true,
"firewall_logging_enabled": true,
"health_check_ip_1": "",
"health_check_ip_2": "",
"layer_type": "",
"name": "",
"publicip_id": "",
"service_ip": "",
"source_nat_ip": "",
"subnet_id": "",
"tags": [],
"vpc_id": ""
}
}
Example HTTP response
Response 202
{
"loadbalancer": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"id": "",
"layer_type": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
}
1.5.2 - 1.2
post /v1/loadbalancers
Description
create Load Balancer
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
Responses
Example HTTP request
Request path
/v1/loadbalancers
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"loadbalancer": {
"description": "",
"firewall_enabled": true,
"firewall_logging_enabled": true,
"health_check_ip_1": "",
"health_check_ip_2": "",
"layer_type": "",
"name": "",
"publicip_id": "",
"service_ip": "",
"source_nat_ip": "",
"subnet_id": "",
"tags": [],
"vpc_id": ""
}
}
Example HTTP response
Response 202
{
"loadbalancer": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"id": "",
"layer_type": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
}
1.5.3 - 1.1
post /v1/loadbalancers
Description
create Load Balancer
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
Responses
Example HTTP request
Request path
/v1/loadbalancers
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"loadbalancer": {
"description": "",
"firewall_enabled": true,
"firewall_logging_enabled": true,
"health_check_ip_1": "",
"health_check_ip_2": "",
"layer_type": "",
"name": "",
"publicip_id": "",
"service_ip": "",
"source_nat_ip": "",
"subnet_id": "",
"tags": [],
"vpc_id": ""
}
}
Example HTTP response
Response 202
{
"loadbalancer": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"id": "",
"layer_type": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
}
1.6 - CreateLoadbalancerPrivateNatIp
1.6.1 - 1.3
post /v1/loadbalancers/{loadbalancer_id}/private-static-nats
Description
create Load Balancer Private NAT IP
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/private-static-nats
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Request body
{
"static_nat": {
"private_nat_id": "",
"private_nat_ip_id": ""
}
}
Example HTTP response
Response 202
{
"static_nat": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"external_ip_address": "",
"id": "",
"internal_ip_address": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"private_nat_ip_id": "",
"state": "",
"subnet_id": ""
}
}
1.7 - CreateLoadbalancerPublicNatIp
1.7.1 - 1.3
post /v1/loadbalancers/{loadbalancer_id}/static-nats
Description
create Load Balancer Public NAT IP
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | loadbalancer_id required | ID Example :
| string | None |
| body | body required |
| StaticNatCreateRequest | |
Responses
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/static-nats
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Request body
{
"static_nat": {
"publicip_id": ""
}
}
Example HTTP response
Response 201
{
"static_nat": {
"account_id": "",
"action_type": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"external_ip_address": "",
"id": "",
"internal_ip_address": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"owner_id": "",
"owner_name": "",
"owner_type": "",
"publicip_id": "",
"service_ip_port_id": "",
"state": "",
"subnet_id": "",
"type": "",
"vpc_id": ""
}
}
1.7.2 - 1.2
post /v1/loadbalancers/{loadbalancer_id}/static-nats
Description
create Load Balancer Public NAT IP
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | loadbalancer_id required | ID Example :
| string | None |
| body | body required |
| StaticNatCreateRequest | |
Responses
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/static-nats
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"static_nat": {
"publicip_id": ""
}
}
Example HTTP response
Response 201
{
"static_nat": {
"account_id": "",
"action_type": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"external_ip_address": "",
"id": "",
"internal_ip_address": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"owner_id": "",
"owner_name": "",
"owner_type": "",
"publicip_id": "",
"service_ip_port_id": "",
"state": "",
"subnet_id": "",
"type": "",
"vpc_id": ""
}
}
1.7.3 - 1.1
post /v1/loadbalancers/{loadbalancer_id}/static-nats
Description
create Load Balancer Public NAT IP
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | loadbalancer_id required | ID Example :
| string | None |
| body | body required |
| StaticNatCreateRequest | |
Responses
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/static-nats
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"static_nat": {
"publicip_id": ""
}
}
Example HTTP response
Response 201
{
"static_nat": {
"account_id": "",
"action_type": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"external_ip_address": "",
"id": "",
"internal_ip_address": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"owner_id": "",
"owner_name": "",
"owner_type": "",
"publicip_id": "",
"service_ip_port_id": "",
"state": "",
"subnet_id": "",
"type": "",
"vpc_id": ""
}
}
1.8 - DeleteLBHealthCheck
1.8.1 - 1.3
delete /v1/lb-health-checks/{lb_health_check_id}
Description
Delete LB Health Check
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_health_check_id required | LB Health Check ID Example : e3cd678b11784734bc366148aa37580e
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-health-checks/{lb_health_check_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 204
1.8.2 - 1.2
delete /v1/lb-health-checks/{lb_health_check_id}
Description
Delete LB Health Check
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_health_check_id required | LB Health Check ID Example : e3cd678b11784734bc366148aa37580e
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-health-checks/{lb_health_check_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 204
1.8.3 - 1.1
delete /v1/lb-health-checks/{lb_health_check_id}
Description
Delete LB Health Check
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_health_check_id required | LB Health Check ID Example : e3cd678b11784734bc366148aa37580e
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-health-checks/{lb_health_check_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 204
1.9 - DeleteLbListener
1.9.1 - 1.3
delete /v1/lb-listeners/{listener_id}
Description
delete LB listener
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | listener_id required | The ID of the listener. Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners/{listener_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 204
1.9.2 - 1.2
delete /v1/lb-listeners/{listener_id}
Description
delete LB listener
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | listener_id required | The ID of the listener. Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners/{listener_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 204
1.9.3 - 1.1
delete /v1/lb-listeners/{listener_id}
Description
delete LB listener
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | listener_id required | The ID of the listener. Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners/{listener_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 204
1.10 - DeleteLBServerGroup
1.10.1 - 1.3
delete /v1/lb-server-groups/{lb_server_group_id}
Description
Delete LB Server Group
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | LB Server Group ID Example : 3d8d8754d0d54683a29f3dcc3dd95d5b
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 202
1.10.2 - 1.2
delete /v1/lb-server-groups/{lb_server_group_id}
Description
Delete LB Server Group
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | LB Server Group ID Example : 3d8d8754d0d54683a29f3dcc3dd95d5b
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 202
1.10.3 - 1.1
delete /v1/lb-server-groups/{lb_server_group_id}
Description
Delete LB Server Group
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | LB Server Group ID Example : 3d8d8754d0d54683a29f3dcc3dd95d5b
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 202
1.11 - DeleteLoadbalancer
1.11.1 - 1.3
delete /v1/loadbalancers/{loadbalancer_id}
Description
delete Load Balancer
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | loadbalancer_id required | ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 202
1.11.2 - 1.2
delete /v1/loadbalancers/{loadbalancer_id}
Description
delete Load Balancer
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | loadbalancer_id required | ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 202
1.11.3 - 1.1
delete /v1/loadbalancers/{loadbalancer_id}
Description
delete Load Balancer
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | loadbalancer_id required | ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 202
1.12 - DeleteLoadbalancerPrivateNatIp
1.12.1 - 1.3
delete /v1/loadbalancers/{loadbalancer_id}/private-static-nats
Description
delete Load Balancer Private NAT IP
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | loadbalancer_id required | ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/private-static-nats
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 202
1.13 - DeleteLoadbalancerPublicNatIp
1.13.1 - 1.3
delete /v1/loadbalancers/{loadbalancer_id}/static-nats
Description
delete Load Balancer Public NAT IP
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | loadbalancer_id required | ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/static-nats
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 204
1.13.2 - 1.2
delete /v1/loadbalancers/{loadbalancer_id}/static-nats
Description
delete Load Balancer Public NAT IP
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | loadbalancer_id required | ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/static-nats
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 204
1.13.3 - 1.1
delete /v1/loadbalancers/{loadbalancer_id}/static-nats
Description
delete Load Balancer Public NAT IP
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | loadbalancer_id required | ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/static-nats
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 204
1.14 - ListLBHealthChecks
1.14.1 - 1.3
get /v1/lb-health-checks
Description
List LB Health Checks
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | LB Health Check name Example : Test-LbMonitor-01
| any of [string, null] | None |
| query | protocol optional | LB Health Check Protocol Example : ['TCP', 'UDP']
| any of [array[enum (TCP, HTTP, HTTPS)], enum (TCP, HTTP, HTTPS), null] | None |
| query | subnet_id optional | Service Subnet ID Example : 60fba45cb6c811efba41ba92e4fe7200
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/lb-health-checks
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 200
{
"count": 20,
"lb_health_checks": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_type": "DEFAULT",
"id": "46c681018e33453085ca7c8db54e0076",
"lb_server_group_count": 2,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.14.2 - 1.2
get /v1/lb-health-checks
Description
List LB Health Checks
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | LB Health Check name Example : Test-LbMonitor-01
| any of [string, null] | None |
| query | protocol optional | LB Health Check Protocol Example : ['TCP', 'UDP']
| any of [array[enum (TCP, HTTP, HTTPS)], enum (TCP, HTTP, HTTPS), null] | None |
| query | subnet_id optional | Service Subnet ID Example : 60fba45cb6c811efba41ba92e4fe7200
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/lb-health-checks
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"count": 20,
"lb_health_checks": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_type": "DEFAULT",
"id": "46c681018e33453085ca7c8db54e0076",
"lb_server_group_count": 2,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.14.3 - 1.1
get /v1/lb-health-checks
Description
List LB Health Checks
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | LB Health Check name Example : Test-LbMonitor-01
| any of [string, null] | None |
| query | protocol optional | LB Health Check Protocol Example : ['TCP', 'UDP']
| any of [array[enum (TCP, HTTP, HTTPS)], enum (TCP, HTTP, HTTPS), null] | None |
| query | subnet_id optional | Service Subnet ID Example : 60fba45cb6c811efba41ba92e4fe7200
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/lb-health-checks
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"count": 20,
"lb_health_checks": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_type": "DEFAULT",
"id": "46c681018e33453085ca7c8db54e0076",
"lb_server_group_count": 2,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.15 - ListLbListeners
1.15.1 - 1.3
get /v1/lb-listeners
Description
get LB listener list
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | loadbalancer_id optional | The ID of the load balancer. Example :
| any of [string, null] | None |
| query | state optional | The State of the listener. Example :
| any of [string, null] | None |
| query | name optional | The name of the listener. Example :
| any of [string, null] | None |
| query | service_port optional | The port of the listener. Example :
| any of [integer, null] | None |
| query | protocol optional | Protocol Example : ['TCP', 'UDP']
| any of [array[enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY)], enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY), null] | None |
| query | not_protocol optional | The protocol of the listener to exclude. Example : TCP
| any of [enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY), null] | None |
Responses
Example HTTP request
Request path
/v1/lb-listeners
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 200
{
"count": 20,
"listeners": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"protocol": "TCP",
"service_port": "",
"state": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.15.2 - 1.2
get /v1/lb-listeners
Description
get LB listener list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | loadbalancer_id optional | The ID of the load balancer. Example :
| any of [string, null] | None |
| query | state optional | The State of the listener. Example :
| any of [string, null] | None |
| query | name optional | The name of the listener. Example :
| any of [string, null] | None |
| query | service_port optional | The port of the listener. Example :
| any of [integer, null] | None |
| query | protocol optional | Protocol Example : ['TCP', 'UDP']
| any of [array[enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY)], enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY), null] | None |
| query | not_protocol optional | The protocol of the listener to exclude. Example : TCP
| any of [enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY), null] | None |
Responses
Example HTTP request
Request path
/v1/lb-listeners
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"count": 20,
"listeners": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"protocol": "TCP",
"service_port": "",
"state": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.15.3 - 1.1
get /v1/lb-listeners
Description
get LB listener list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | loadbalancer_id optional | The ID of the load balancer. Example :
| any of [string, null] | None |
| query | state optional | The State of the listener. Example :
| any of [string, null] | None |
| query | name optional | The name of the listener. Example :
| any of [string, null] | None |
| query | service_port optional | The port of the listener. Example :
| any of [integer, null] | None |
| query | protocol optional | Protocol Example : ['TCP', 'UDP']
| any of [array[enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY)], enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY), null] | None |
| query | not_protocol optional | The protocol of the listener to exclude. Example : TCP
| any of [enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY), null] | None |
Responses
Example HTTP request
Request path
/v1/lb-listeners
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"count": 20,
"listeners": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"protocol": "TCP",
"service_port": "",
"state": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.16 - ListLbServerGroupMembers
1.16.1 - 1.3
get /v1/lb-server-groups/{lb_server_group_id}/members
Description
Get Lb Server Group Member List
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | ID of Lb Server Group Example :
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | Name of Member Example :
| any of [string, null] | None |
| query | member_ip optional | IP of Member Example :
| any of [string, null] | None |
| query | member_port optional | Protocol port of Member Example :
| any of [integer, null] | None |
Responses
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 200
{
"count": 20,
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_state": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.16.2 - 1.2
get /v1/lb-server-groups/{lb_server_group_id}/members
Description
Get Lb Server Group Member List
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | ID of Lb Server Group Example :
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | Name of Member Example :
| any of [string, null] | None |
| query | member_ip optional | IP of Member Example :
| any of [string, null] | None |
| query | member_port optional | Protocol port of Member Example :
| any of [integer, null] | None |
Responses
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"count": 20,
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_state": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.16.3 - 1.1
get /v1/lb-server-groups/{lb_server_group_id}/members
Description
Get Lb Server Group Member List
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | ID of Lb Server Group Example :
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | Name of Member Example :
| any of [string, null] | None |
| query | member_ip optional | IP of Member Example :
| any of [string, null] | None |
| query | member_port optional | Protocol port of Member Example :
| any of [integer, null] | None |
Responses
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"count": 20,
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_state": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.17 - ListLBServerGroups
1.17.1 - 1.3
get /v1/lb-server-groups
Description
Get LB Server Group list
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | LB Server Group name Example : ServerGroup01
| any of [string, null] | None |
| query | protocol optional | Protocol Example : ['TCP', 'UDP']
| any of [array[enum (TCP, UDP)], enum (TCP, UDP), null] | None |
| query | subnet_id optional | Service Subnet ID Example : 60fba45cb6c811efba41ba92e4fe7200
| any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : 8acceeb6920c4fc494490d864f67f0b5
| any of [string, null] | None |
| query | lb_health_check_id optional | LB Health Check ID Example : 46c681018e33453085ca7c8db54e0076
| string | None |
| query | lb_method optional | LB Method Example : ROUND_ROBIN
| any of [array[enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION)], enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION), null] | None |
Responses
Example HTTP request
Request path
/v1/lb-server-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 200
{
"count": 20,
"lb_server_groups": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_name": "Test-LB-01",
"lb_server_group_member_count": 2,
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.17.2 - 1.2
get /v1/lb-server-groups
Description
Get LB Server Group list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | LB Server Group name Example : ServerGroup01
| any of [string, null] | None |
| query | protocol optional | Protocol Example : ['TCP', 'UDP']
| any of [array[enum (TCP, UDP)], enum (TCP, UDP), null] | None |
| query | subnet_id optional | Service Subnet ID Example : 60fba45cb6c811efba41ba92e4fe7200
| any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : 8acceeb6920c4fc494490d864f67f0b5
| any of [string, null] | None |
| query | lb_health_check_id optional | LB Health Check ID Example : 46c681018e33453085ca7c8db54e0076
| string | None |
| query | lb_method optional | LB Method Example : ROUND_ROBIN
| any of [array[enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION)], enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION), null] | None |
Responses
Example HTTP request
Request path
/v1/lb-server-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"count": 20,
"lb_server_groups": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_name": "Test-LB-01",
"lb_server_group_member_count": 2,
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.17.3 - 1.1
get /v1/lb-server-groups
Description
Get LB Server Group list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | LB Server Group name Example : ServerGroup01
| any of [string, null] | None |
| query | protocol optional | Protocol Example : ['TCP', 'UDP']
| any of [array[enum (TCP, UDP)], enum (TCP, UDP), null] | None |
| query | subnet_id optional | Service Subnet ID Example : 60fba45cb6c811efba41ba92e4fe7200
| any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : 8acceeb6920c4fc494490d864f67f0b5
| any of [string, null] | None |
| query | lb_health_check_id optional | LB Health Check ID Example : 46c681018e33453085ca7c8db54e0076
| string | None |
| query | lb_method optional | LB Method Example : ROUND_ROBIN
| any of [array[enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION)], enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION), null] | None |
Responses
Example HTTP request
Request path
/v1/lb-server-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"count": 20,
"lb_server_groups": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_name": "Test-LB-01",
"lb_server_group_member_count": 2,
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.18 - ListLoadbalancerCertificates
1.18.1 - 1.3
get /v1/loadbalancers/certificates
Description
get Load Balancer certificate list
State
ACTIVE (CURRENT)
Responses
Example HTTP request
Request path
/v1/loadbalancers/certificates
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 200
{
"certificates": [
{
"cert_kind": "",
"cn": "",
"created_at": "",
"created_by": "",
"id": "",
"modified_at": "",
"modified_by": "",
"name": "",
"not_after_dt": "2024-01-15T10:30:00.000Z",
"not_before_dt": "2024-01-15T10:30:00.000Z",
"state": ""
}
],
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
]
}
1.18.2 - 1.2
get /v1/loadbalancers/certificates
Description
get Load Balancer certificate list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Responses
Example HTTP request
Request path
/v1/loadbalancers/certificates
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"certificates": [
{
"cert_kind": "",
"cn": "",
"created_at": "",
"created_by": "",
"id": "",
"modified_at": "",
"modified_by": "",
"name": "",
"not_after_dt": "2024-01-15T10:30:00.000Z",
"not_before_dt": "2024-01-15T10:30:00.000Z",
"state": ""
}
],
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
]
}
1.18.3 - 1.1
get /v1/loadbalancers/certificates
Description
get Load Balancer certificate list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Responses
Example HTTP request
Request path
/v1/loadbalancers/certificates
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"certificates": [
{
"cert_kind": "",
"cn": "",
"created_at": "",
"created_by": "",
"id": "",
"modified_at": "",
"modified_by": "",
"name": "",
"not_after_dt": "2024-01-15T10:30:00.000Z",
"not_before_dt": "2024-01-15T10:30:00.000Z",
"state": ""
}
],
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
]
}
1.19 - ListLoadbalancers
1.19.1 - 1.3
get /v1/loadbalancers
Description
get Load Balancer list
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | The name of the load balancer. Example :
| any of [string, null] | None |
| query | state optional | The state of the load balancer. Example :
| any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), array[enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)]] | |
| query | service_ip optional | The service IP of the load balancer. Example :
| any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example :
| any of [string, null] | None |
| query | layer_type optional | Layer type Example :
| any of [enum (L4, L7), array[enum (L4, L7)]] | |
| query | vpc_id optional | VPC ID Example :
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/loadbalancers
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 200
{
"count": 20,
"loadbalancers": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"firewall_id": "",
"id": "",
"layer_type": "",
"listener_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"public_nat_enabled": "",
"service_ip": "",
"source_nat_ip": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.19.2 - 1.2
get /v1/loadbalancers
Description
get Load Balancer list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | The name of the load balancer. Example :
| any of [string, null] | None |
| query | state optional | The state of the load balancer. Example :
| any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), array[enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)]] | |
| query | service_ip optional | The service IP of the load balancer. Example :
| any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example :
| any of [string, null] | None |
| query | layer_type optional | Layer type Example :
| any of [enum (L4, L7), array[enum (L4, L7)]] | |
| query | vpc_id optional | VPC ID Example :
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/loadbalancers
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"count": 20,
"loadbalancers": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"firewall_id": "",
"id": "",
"layer_type": "",
"listener_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"public_nat_enabled": "",
"service_ip": "",
"source_nat_ip": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.19.3 - 1.1
get /v1/loadbalancers
Description
get Load Balancer list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | The name of the load balancer. Example :
| any of [string, null] | None |
| query | state optional | The state of the load balancer. Example :
| any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), array[enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)]] | |
| query | service_ip optional | The service IP of the load balancer. Example :
| any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example :
| any of [string, null] | None |
| query | layer_type optional | Layer type Example :
| any of [enum (L4, L7), array[enum (L4, L7)]] | |
| query | vpc_id optional | VPC ID Example :
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/loadbalancers
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"count": 20,
"loadbalancers": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"firewall_id": "",
"id": "",
"layer_type": "",
"listener_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"public_nat_enabled": "",
"service_ip": "",
"source_nat_ip": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.20 - RemoveLbServerGroupMember
1.20.1 - 1.3
delete /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Description
Remove Lb Server Group Member
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | ID of Lb Server Group Example :
| string | None |
| path | member_id required | ID of Member Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 202
1.20.2 - 1.2
delete /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Description
Remove Lb Server Group Member
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | ID of Lb Server Group Example :
| string | None |
| path | member_id required | ID of Member Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 202
1.20.3 - 1.1
delete /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Description
Remove Lb Server Group Member
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | ID of Lb Server Group Example :
| string | None |
| path | member_id required | ID of Member Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 202
1.21 - RemoveLbServerGroupMembers
1.21.1 - 1.3
delete /v1/lb-server-groups/{lb_server_group_id}/members
Description
Remove Lb Server Group Members
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | ID of Lb Server Group Example :
| string | None |
| body | body required |
| MemberDeleteBulkRequestV1Dot2 | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Request body
{
"member_id_list": [
""
]
}
Example HTTP response
Response 202
1.21.2 - 1.2
delete /v1/lb-server-groups/{lb_server_group_id}/members
Description
Remove Lb Server Group Members
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | ID of Lb Server Group Example :
| string | None |
| body | body required |
| MemberDeleteBulkRequestV1Dot2 | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"member_id_list": [
""
]
}
Example HTTP response
Response 202
1.22 - SetLBHealthCheck
1.22.1 - 1.3
put /v1/lb-health-checks/{lb_health_check_id}
Description
Set LB Health Check
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_health_check_id required | LB Health Check ID Example : e3cd678b11784734bc366148aa37580e
| string | None |
| body | body required |
| LbHealthCheckSetRequest | |
Responses
Example HTTP request
Request path
/v1/lb-health-checks/{lb_health_check_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Request body
{
"lb_health_check": {
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_url": "/test",
"http_method": "GET",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200"
}
}
Example HTTP response
Response 202
{
"lb_health_check": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_type": "DEFAULT",
"health_check_url": "/test",
"http_method": "GET",
"id": "46c681018e33453085ca7c8db54e0076",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
1.22.2 - 1.2
put /v1/lb-health-checks/{lb_health_check_id}
Description
Set LB Health Check
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_health_check_id required | LB Health Check ID Example : e3cd678b11784734bc366148aa37580e
| string | None |
| body | body required |
| LbHealthCheckSetRequest | |
Responses
Example HTTP request
Request path
/v1/lb-health-checks/{lb_health_check_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"lb_health_check": {
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_url": "/test",
"http_method": "GET",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200"
}
}
Example HTTP response
Response 202
{
"lb_health_check": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_type": "DEFAULT",
"health_check_url": "/test",
"http_method": "GET",
"id": "46c681018e33453085ca7c8db54e0076",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
1.22.3 - 1.1
put /v1/lb-health-checks/{lb_health_check_id}
Description
Set LB Health Check
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_health_check_id required | LB Health Check ID Example : e3cd678b11784734bc366148aa37580e
| string | None |
| body | body required |
| LbHealthCheckSetRequest | |
Responses
Example HTTP request
Request path
/v1/lb-health-checks/{lb_health_check_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"lb_health_check": {
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_url": "/test",
"http_method": "GET",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200"
}
}
Example HTTP response
Response 202
{
"lb_health_check": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_type": "DEFAULT",
"health_check_url": "/test",
"http_method": "GET",
"id": "46c681018e33453085ca7c8db54e0076",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
1.23 - SetLbListener
1.23.1 - 1.3
put /v1/lb-listeners/{listener_id}
Description
set loadbalancer listener
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | listener_id required | The ID of the listener. Example :
| string | None |
| body | body required |
| LbListenerSetRequestV1Dot3 | |
Responses
Example HTTP request
Request path
/v1/lb-listeners/{listener_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Request body
{
"listener": {
"condition_type": "URL_PATH",
"description": "",
"hsts_max_age": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"idle_timeout": "",
"insert_client_ip": "",
"persistence": "",
"response_timeout": "",
"server_group_id": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"not_after_dt": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"support_http2": "",
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
Example HTTP response
Response 200
{
"listener": {
"condition_type": "URL_PATH",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"hsts_max_age": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"idle_timeout": "",
"insert_client_ip": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"persistence": "",
"protocol": "TCP",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"server_group_name": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"not_after_dt": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"state": "",
"support_http2": false,
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
1.23.2 - 1.2
put /v1/lb-listeners/{listener_id}
Description
set loadbalancer listener
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | listener_id required | The ID of the listener. Example :
| string | None |
| body | body required |
| LbListenerSetRequestV1Dot2 | |
Responses
Example HTTP request
Request path
/v1/lb-listeners/{listener_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"listener": {
"condition_type": "URL_PATH",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"insert_client_ip": "",
"persistence": "",
"response_timeout": "",
"server_group_id": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"not_after_dt": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"support_http2": "",
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
Example HTTP response
Response 200
{
"listener": {
"condition_type": "URL_PATH",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"insert_client_ip": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"server_group_name": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"not_after_dt": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"state": "",
"support_http2": false,
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
1.23.3 - 1.1
put /v1/lb-listeners/{listener_id}
Description
set loadbalancer listener
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.1 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | listener_id required | The ID of the listener. Example :
| string | None |
| body | body required |
| LbListenerSetRequest | |
Responses
Example HTTP request
Request path
/v1/lb-listeners/{listener_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"listener": {
"condition_type": "URL_PATH",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"insert_client_ip": "",
"persistence": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"not_after_dt": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"support_http2": "",
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
Example HTTP response
Response 200
{
"listener": {
"condition_type": "URL_PATH",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"insert_client_ip": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"server_group_name": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"not_after_dt": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"state": "",
"support_http2": false,
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
1.24 - SetLBServerGroup
1.24.1 - 1.3
put /v1/lb-server-groups/{lb_server_group_id}
Description
Set LB Server Group
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | LB Server Group ID Example : 3d8d8754d0d54683a29f3dcc3dd95d5b
| string | None |
| body | body required |
| LbServerGroupSetRequest | |
Responses
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.3"
Request body
{
"lb_server_group": {
"description": "this is an lb server group",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN"
}
}
Example HTTP response
Response 202
{
"lb_server_group": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"lb_name": "Test-LB-01",
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
1.24.2 - 1.2
put /v1/lb-server-groups/{lb_server_group_id}
Description
Set LB Server Group
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.2 | 20260319 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | lb_server_group_id required | LB Server Group ID Example : 3d8d8754d0d54683a29f3dcc3dd95d5b
| string | None |
| body | body required |
| LbServerGroupSetRequest | |
Responses
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"lb_server_group": {
"description": "this is an lb server group",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN"
}
}
Example HTTP response
Response 202
{
"lb_server_group": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"lb_name": "Test-LB-01",
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
1.24.3 - 1.1
put /v1/lb-server-groups/{lb_server_group_id}
Description
Set LB Server Group
State
ACTIVE (DEPRECATED)
[...]
